Skip to main content
Topic: ElkArte 1.1.9 (Read 2127 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

Re: ElkArte 1.1.9

Reply #45

Quote from: Steeley – none of my users pointed it out if they had encountered the problem - and I haven't noticed it - but they're a lazy bunch
That is how bugs often go, and why some remain for so long! ... Have to get the right conditions, maybe notice there is a problem, maybe report it, maybe someone will make a fix, maybe it will be the right fix LOL

Re: ElkArte 1.1.9

Reply #46

Quote from: Spuds – That should fix the original issue but not cause this new issue.

Well, I made the change,  and yea, that works too.. :stuck_out_tongue_closed_eyes:

....so I posted an update in the 1.1.6 thread :raccoon:

// Deep inside every dilemma lies a solution that involves explosives //

Re: ElkArte 1.1.9

Reply #47

Attached is the "final" version of 1.1.9, assuming there are no other issues reported.

Changes from the previous candidate (that I recall)

- fixes the attachment/ preview error reported by @badmonkey
- fixes the fix for the quote function reported by @Steeley
- adds some additional password conversion functions for recent releases form other forums (found during the open importer updates)
- fix an issue where if there was not privacy policy file, and you used the checkbox registration, and empty accept for would show.
- fix an issue where ILA was outputting control characters (read tab and newline) that caused problems with addons (read print to pdf)
- prevent potential 502 gateway failed error when downloading a file (regression error)
+ improve imagick process for thumbnails when transparency is detected
+The reduced upload file size was not reflected back in the UI, for addon use (2.0 backport)
+The resize flag was not set correctly for UI use (part of previous issue)

Re: ElkArte 1.1.9

Reply #48

Quote from: Spuds – Attached is the "final" version of 1.1.9, assuming there are no other issues reported.

Changes from the previous candidate (that I recall)
..
- fixes the fix for the quote function reported by @Steeley
..

And my legacy lives on..  :partying_face

// Deep inside every dilemma lies a solution that involves explosives //

Re: ElkArte 1.1.9

Reply #49

As always, great work @Spuds !

Thanks for all you do!

Re: ElkArte 1.1.9

Reply #50

Thanks @Spuds !
The official release of 1.1.9 is coming closer.  :thumbsup:

Re: ElkArte 1.1.9

Reply #51

Quote from: Spuds – Attached is the "final" version of 1.1.9, assuming there are no other issues reported.
I tried this on my forum, it installs without errors, but after that I get an error:
Zend OPcache API is restricted by "restrict_api" configuration directive
I click on "Back" button and I get this error:
Undefined class constant 'ATTR_RESET'
After this my forum is not visible, I only see a white page with this error:
Fatal error: Uncaught Error: Undefined class constant 'ATTR_RESET' in /public/sources/subs/Ila.integrate.php:104 Stack trace: #0 /public/sources/Hooks.class.php(110): Ila_Integrate::integrate_additional_bbc(Array) #1 /public/sources/Subs.php(1411): Hooks->hook('integrate_addit...', Array) #2 /public/sources/subs/BBC/ParserWrapper.php(388): call_integration_hook('integrate_addit...', Array) #3 /public/sources/subs/BBC/ParserWrapper.php(419): BBC\ParserWrapper->getCodes() #4 [internal function]: BBC\ParserWrapper->getAutolinkParser('message') #5 /public/sources/subs/BBC/ParserWrapper.php(130): call_user_func(Array, 'message') #6 /public/sources/subs/BBC/ParserWrapper.php(183): BBC\ParserWrapper->getParsersByArea('message') #7 /srv/users/serve in /public/sources/subs/Ila.integrate.php on line 104

I guess I need to disable ILA add-on and maybe the other add-ons that were updated recently, then retry to update Elkarte and the add-ons.

I use PHP 7.4, but after this update I will switch to 8.1.

Re: ElkArte 1.1.9

Reply #52

That is a little strange.

The ATTR_RESET is due to the updates in ILA ... it installs a new ila.integration.php file which requires a refresh of the hooks (which the install / uninstall package does take care of). I've only seen that error during uninstall and it only lingered for a single page load (I did fix that as well).

Since you are getting that error, it means it did install that new file but something to do with the opcache caused some other failure after that.  You can probably fix the issue by using the 1.1.8 version of ila.integration.php (the old file is included in the1.1.9 package under the 1.1.8 directory).  Then we need to understand why the opcache blocked.


Re: ElkArte 1.1.9

Reply #53

In the FWIW, in the updates that I've done, I've first updated all of the addons, then applied the 1.1.9 update (all on 7.4)

When you stop pulling your hair out, what do you have in your php.ini file for the opcache.restrict_api setting?  There are checks in the code to prevent this error (since, 1.1.4) so I'm curious as to why its showing up (again).  The error was caused by the system attempting to flush the opcache  after the patch since at that point its no longer valid (but it checks if its allowed).

ETA: I added additional protection to the opcache_reset() call in the patch file (updated the attachment above), not sure if that was the cause but may help.

Re: ElkArte 1.1.9

Reply #54

Updating first the Resize Images add-on and then update to 1.1.9 seems to work, I used the patched file you posted.

There are other problems with Simple Portal, but I guess I should have update the SP add-on before updating Elkarte. SP Error Spoiler (click to show/hide)
Quote from: Spuds – what do you have in your php.ini file for the opcache.restrict_api setting?
Code: [Select]
opcache.restrict_api=/restricted

I went back to 1.1.8 (large update) then installed the update to 1.1.9. It worked without problems.

p.s. Where can I find the setting to enable the quick quote option? I searched for "quick" or "quote" in ACP settings without results.
Last Edit: November 24, 2022, 11:59:04 pm by radu81
sorry for my bad english

 

Re: ElkArte 1.1.9

Reply #55

Quote from: radu81 – Updating first the Resize Images add-on and then update to 1.1.9 seems to work, I used the patched file you posted.
Cool ... The original file had the same refresh code as used in 1.1.4, but I added another check and supression.

https://www.elkarte.net/community/index.php?topic=6141.msg44129#msg44129
Quote from: radu81 – There are other problems with Simple Portal, but I guess I should have update the SP add-on before updating Elkarte.
https://www.elkarte.net/community/index.php?topic=6141.msg44129#msg44129  I did put together a 1.0.1 package and posted it on the github site to help.  I've used this on a few sites and all seems to be OK with it, but if you see errors, let me know.

Humm .... typically that is empty or set to BOARDDIR like /var/www/mysite  Anyway with that setting it would run the opcache_reset() function as the function felt it was safe to do so (e.g. BOARDDIR is not restricted) .. Anyway good to know that the tweak helped.

Quote from: radu81 – p.s. Where can I find the setting to enable the quick quote option?
It should just be ON ... I did not add a setting for that, its just tied to quick reply function.   I bet its showing up off screen (scroll down and see if you see it) ... I don't recall any template changes being required, but it may have needed a CSS update.  If you are running a custom theme that may not have happened.  I'll look into that and post what is needed.

Re: ElkArte 1.1.9

Reply #56

Updated SP, no errors or problems so far. Only error I see in Elk log:
Type of error: Critical
Guest
Illegal character (') used in query...
Function: bb2_db_query
/index.php?action=login2;quicklogin
 File: /sources/ext/bad-behavior/badbehavior-plugin.php
Line 108
Code: [Select]
	
$result = $db->query('', $query, array());

As for the quick quote I am using the default theme, BeSocial variant. I tried with Light version but same result. Could be due to the fact that I had the Quick Quote add-on which I uninstalled?

Re: ElkArte 1.1.9

Reply #57

It probably means I forgot to update the beSocial.css LOL ... I'll take a look in the AM

Re: ElkArte 1.1.9

Reply #58

I checked this on my two test sites, basic 1.1.9 with beSocial and the quote selected showed up as expected.   Is this a test site I can see?  If so shoot me the address so I can:eye_in_speech_bubble:

Re: ElkArte 1.1.9

Reply #59

I'll send you a PM